Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface WorklistScrollableResultMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WorklistScrollableResultMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about the worklist

Method Summary
`TaskInfoCursor` | `getTaskInfoCursor(TaskSelector taskSelector, int resultSize)`
`TaskInfoCursor` | `moveCursorBackward(TaskInfoCursor taskInfoCursor)`
`TaskInfoCursor` | `moveCursorForward(TaskInfoCursor taskInfoCursor)`
`TaskInfoCursor` | `refreshCursor(TaskInfoCursor taskInfoCursor)`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTaskInfoCursor

    public TaskInfoCursor getTaskInfoCursor(TaskSelector taskSelector,
                                            int resultSize)
                                     throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### moveCursorForward

    public TaskInfoCursor moveCursorForward(TaskInfoCursor taskInfoCursor)
                                     throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### moveCursorBackward

    public TaskInfoCursor moveCursorBackward(TaskInfoCursor taskInfoCursor)
                                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### refreshCursor

    public TaskInfoCursor refreshCursor(TaskInfoCursor taskInfoCursor)
                                 throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD